<nb-card accent="primary">
  <nb-card-header>
    <h5 class="title">{{header}}</h5>
  </nb-card-header>
  <nb-card-body>
    <nb-alert *ngIf="errors?.length" outline="danger" role="alert">
      <ul class="alert-message-list" style="list-style-type: none !important;">
        <li *ngFor="let error of errors" class="alert-message">
          <nb-icon icon="alert-triangle-outline" pack="eva"></nb-icon>
          {{ error }}</li>
      </ul>
    </nb-alert>

    <nb-alert *ngIf="messages?.length" outline="success" role="alert">
      <ul class="alert-message-list" style="list-style-type: none !important;">
        <li *ngFor="let message of messages" class="alert-message">
          <nb-icon icon="checkmark-circle-outline" pack="eva"></nb-icon>
          {{ message }}</li>
      </ul>
    </nb-alert>
    <div class="row">
      <div class="col-md-12" *ngIf="function === 'R'">
        <div class="form-group">
          <input type="text" class="form-control" (focus)="emptyMessages()" placeholder="{{queryInput.value}}"
                 [(ngModel)]="queryName">
        </div>
      </div>
      <div class="col-md-12" *ngIf="function === 'D'">
        <p style="font-size: 1rem;">
          Do you want to <strong>remove</strong> the query <strong>{{queryInput.value}}</strong>?
        </p>
      </div>
      <div class="col-md-12" *ngIf="function === 'S'">
        <div class="form-group">
          <input type="text" class="form-control" (focus)="emptyMessages()" placeholder="Query name"
                 [(ngModel)]="queryInput.value">
        </div>
      </div>
    </div>
    <div>
      <button type="button"
              style="margin-top: 20px;"
              class="float-left"
              nbButton
              size="small"
              status="disabled"
              (click)="close()">
        Cancel
      </button>
      <button type="button" *ngIf="function === 'S'"
              style="margin-top: 20px;"
              class="float-right"
              nbButton
              size="small"
              status="primary"
              (click)="save()">
        Save
      </button>
      <button type="button" *ngIf="function === 'D'"
              style="margin-top: 20px;"
              class="float-right"
              nbButton
              size="small"
              status="danger"
              (click)="delete()">
        Remove
      </button>
      <button type="button" *ngIf="function === 'R'"
              style="margin-top: 20px;"
              class="float-right"
              nbButton
              size="small"
              status="primary"
              (click)="rename()">
        Rename
      </button>
    </div>
  </nb-card-body>
</nb-card>
